<template>
  <div class="relative w-screen" id="target">
    <div
      class="min-h-screen md:min-h-200px"
      :class="
        $mq === 'mobile'
          ? ' green-gradient-primary-mb'
          : ' green-gradient-primary'
      "
    />
    <div
      class="
        absolute
        top-0
        flex flex-col
        w-4/5
        md:flex-row
        h-full
        justify-between
        py-16
        md:py-0
      "
      style="transform: translate(-50%, -50%); top: 50%; left: 50%"
    >
      <div
        v-for="(target, index) in targets"
        :key="index"
        class="flex-1 text-center text-white justify-center flex flex-col"
      >
        <p class="font-bold text-5xl">{{ target.number }}</p>
        <p class="text-base" v-html="target.detail"></p>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  data() {
    return {
      bg_target: require("~/assets/images/bg_target.png"),
      targets: [
        {
          number: "200M+",
          detail: "Customer targets<br/>& engagements",
        },
        {
          number: "9M+",
          detail: "Daily customer<br/>interactions",
        },
        {
          number: "$700M+",
          detail: "Online growth<br/>contributions",
        },
      ],
    }
  },
}
</script>

<style lang="scss" scoped></style>
